package sysExt ;
/*
 * @(#)SourceFileAttr.java	1.0 96/01/05  Sal Cataudella
 *
 * Copyright (c) 1995 Sal Cataudella. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please contact author for other arrangements.
 *
 *
 */
import java.io.IOException;
import java.io.DataOutputStream;

//----------------------------------------------------------
// SourceFileAttr - Attribute of a class.  Gives information
// about the source file from the class was compiled.
//
class SourceFileAttr extends Object {
	short	attributeNameIndex ;
	int	attributeLength = 2;
	short	sourceFileIndex ;

	SourceFileAttr( ConstStringInfo sourceFile,
			   ConstStringInfo sourceFileName ) {
		attributeNameIndex = sourceFile.index ;
		sourceFileIndex = sourceFileName.index ;
	
	}

	void write( DataOutputStream out ) throws IOException {
		out.writeShort(attributeNameIndex ) ;
		out.writeInt(attributeLength ) ;
		out.writeShort(sourceFileIndex ) ;

	}		
}
