!------------------------------------------------------------
! SecWin Equates (c) 1995 by Custom Business Software
!------------------------------------------------------------
! these equates are used by the Datasoft Program Security
! module, SecWin.  They are included for your convenience
! and are compiled into programs using SecWin.
! Whereever possible you should use the equate name and not
! the value in your code as the values may changes at a later
! date.
!------------------------------------------------------------

DS_VERSIONNUMBER  equate(1)

DS_NORECORDS      equate(3)      ! returned in GlobalResponse

DS_SECURITYON     equate(1)      ! flag setters
DS_SECURITYOFF    equate(2)
DS_AUDITON        equate(3)      
DS_AUDITOFF       equate(4)
DS_OPTIONALON     equate(5)
DS_OPTIONALOFF    equate(6)
DS_TRACKERON      equate(7)
DS_TRACKEROFF     equate(8)

DS_SUPERVISOR     equate(3)
DS_OPERATOR       equate(2)
DS_INQUIRER       equate(1)
DS_NOACCESS       equate(0)

DS_ACCESSALL      equate(2147483647)
DS_ACCESSATALL    equate(1)      ! access rights applicable
DS_ACCESSOK       equate(2)
DS_ACCESSCHANGE   equate(4)
DS_ACCESSDELETE   equate(8)
DS_ACCESSPRINT    equate(16)

DS_LOGGEDIN       equate(1)      ! actions for audit log
DS_LOGGEDOUT      equate(2)
DS_INVALIDLOGIN   equate(3)
DS_ACCESSDENIED   equate(4)
DS_WINDOWOPEN     equate(5)
DS_ACCESSMODIFIED equate(6)

DS_CANTGRANT      equate(1)      ! restriction restrictors
DS_CANTRESTRICT   equate(2)

DS_SECURITYKEY    equate(CtrlF8)
