package sysExt ;



/*
 * @(#)InvalidMethodRefException.java	1.0 96/01/05  Sal Cataudella
 *
 * Copyright (c) 1995 Sal Cataudella. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please contact author for other arrangements.
 *
 *
 */



/**
 * Signals that a particular methodRef could not be generated properly.
 */
public
class InvalidMethodRefException extends Exception {
    /**
     * Constructs a InvalidMethodRefException without a detail message.
     * A detail message is a String that describes this particular exception.
     */
    public InvalidMethodRefException () {
	super();
    }

    /**
     * Constructs a InvalidMethodRefException with a detail message.
     * A detail message is a String that describes this particular exception.
     * @param s the detail message
     */
    public InvalidMethodRefException (String s) {
	super(s);
    }
}

